function deg = dddmmssss2deg(dddmmssss)
    % DDDMMSSSS2DEG pretvori kot, ki je podan v formatu dd.mmssssss v decimalne stopinje.
    %   
    %   dddmmssss = dddmmssss2deg(deg)
    %
    %   VHODNI PARAMETRI:
    %     dddmmssss ... kot v formatu ddd.mmssss
    %
    %   IZHODNI PARAMETRI:
    %     deg ... kot v decimalnih stopinjah
    %
    %   AVTOR: Klemen Ritlop
    %   2024-02-20
    
    arguments
        dddmmssss (1,1) {mustBeNumeric,mustBeReal}
    end
    
    sgn = sign(dddmmssss);
    dddmmssss = abs(dddmmssss);
    degrees = fix(dddmmssss);
    minutes_decimal = (dddmmssss - degrees) * 100;
    minutes = fix(minutes_decimal);
    seconds = (minutes_decimal - minutes) * 100;

    deg = sgn * (degrees + minutes / 60 + seconds / 3600);

end