clearvars; clc;

% ============= VHODNI PARAMETRI =============
file_in = "podatki\tocke_llh_deg.txt";
file_out = "podatki\tocke_llh_deg_v_xyz.txt";
crd_in = "xyz";  % podprti tipi koordinat ["xyz", "llh_deg"]
% ============================================

% preberi podatke
data = readtable(file_in, NumHeaderLines=1);
npt = height(data);

fid = fopen(file_out, "w");

switch crd_in
    case "xyz"
        data.Properties.VariableNames = {'ime', 'X', 'Y', 'Z'};
        
        fprintf(fid, "# pt        lat [°]           lon [°]          h [m]\n");
        for i = 1 : npt
            pt_llh_deg = xyz2sferne([data.X(i), data.Y(i), data.Z(i)]);
            fprintf(fid, "%4s    %14.10f    %15.10f    %9.4f\n", data.ime{i}, pt_llh_deg);
        end

    case "llh_deg"
        data.Properties.VariableNames = {'ime', 'lat', 'lon', 'h'};
        
        fprintf(fid, "# pt        X [m]            Y [m]            Z [m]\n");
        for i = 1 : npt
            pt_xyz = sferne2xyz([data.lat(i), data.lon(i), data.h(i)]);
            fprintf(fid, "%4s    %13.4f    %13.4f    %13.4f\n", data.ime{i}, pt_xyz);
        end
end

fclose(fid);
